Skip to main content
GET
/
api
/
payments
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.example.com/api/payments/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "environment": "test",
      "stripeSubscriptionId": "sub_123",
      "stripeCustomerId": "cus_123",
      "subjectType": "<string>",
      "subjectId": "<string>",
      "status": "incomplete",
      "currentPeriodStart": "2023-11-07T05:31:56Z",
      "currentPeriodEnd": "2023-11-07T05:31:56Z",
      "cancelAtPeriodEnd": true,
      "cancelAt": "2023-11-07T05:31:56Z",
      "canceledAt": "2023-11-07T05:31:56Z",
      "trialStart": "2023-11-07T05:31:56Z",
      "trialEnd": "2023-11-07T05:31:56Z",
      "latestInvoiceId": "in_123",
      "metadata": {},
      "syncedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "items": [
        {
          "environment": "test",
          "stripeSubscriptionItemId": "si_123",
          "stripeSubscriptionId": "sub_123",
          "stripeProductId": "prod_123",
          "stripePriceId": "price_123",
          "quantity": 1,
          "metadata": {},
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live
subjectType
string

Billing subject type. Must be provided together with subjectId.

Required string length: 1 - 100
subjectId
string

Billing subject ID. Must be provided together with subjectType.

Required string length: 1 - 255
limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Subscriptions

subscriptions
object[]
required